%global bundle org.apache.felix.main

Name:    felix-main
Version: 5.4.0
Release: %mkrel 4
Summary: Apache Felix Main
Group:   Development/Java
License: ASL 2.0
URL:     http://felix.apache.org
Source0: http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: felix-bundlerepository
BuildRequires: felix-gogo-command
BuildRequires: felix-gogo-runtime
BuildRequires: felix-gogo-shell
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: felix-parent
BuildRequires: felix-framework >= 4.2.0
BuildRequires: maven-local
BuildRequires: maven-antrun-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: mockito

Requires: felix-bundlerepository
Requires: felix-gogo-command
Requires: felix-gogo-runtime
Requires: felix-gogo-shell
Requires: felix-osgi-compendium
Requires: felix-osgi-core
Requires: felix-framework >= 4.2.0

%description
Apache Felix Main Classes.

%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%mvn_file :%{bundle} "felix/%{bundle}"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Wed May 17 2017 neoclust <neoclust> 5.4.0-4.mga6
+ Revision: 1102557
- Add missing BuildRequires to fix FTBFS

* Wed Mar 02 2016 neoclust <neoclust> 5.4.0-3.mga6
+ Revision: 982011
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 5.4.0-2.mga6
+ Revision: 976230
- First rebuild of the java stack
- sync package felix-main with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 4.4.0-2.mga5
+ Revision: 806467
- Clean rebuild
- Sync with Fedora 21 (Update to 4.4.0)
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 4.2.0-4.mga5
+ Revision: 745438
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 4.2.0-2.mga4
+ Revision: 544840
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 4.2.0-1.mga4
+ Revision: 500364
- New version

* Sat Jan 12 2013 dmorgan <dmorgan> 2.0.5-8.mga3
+ Revision: 352272
- Build with maven 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 2.0.5-7.mga1
+ Revision: 92437
- Rebuild after bootstrapping
- imported package felix-main


* Tue Dec  7 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0.5-6
- Fix pom filename (Resolves rhbz#655799)
- Fix BR of surefire-plugin
- Fix various packaging things according to new guidelines

* Mon Jul 26 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-5
- Remove R: felix-parent

* Mon Jul 26 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-4
- Use felix-parent https://bugzilla.redhat.com/show_bug.cgi?id=615868
- Remove demap file option from mvn-jpp command

* Sat Jul 24 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-3
- Add TODOs for uncompleted activities against maven packages
- Use new names of the maven plgins
- Add license file to independent subpackage javadoc
- Remove unneeded demap file

* Tue Jul 13 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-2
- Use maven instead of ant

* Tue Jun 22 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-1
- Release 2.0.5
